************************************************************************
PROCEDURE GGDEMO
******************
***    Author: (c) Rick Strahl, 1994
***  Modified: 04/10/94
***  Function: A quick demo of how GGRAPH works and how you can
***            implement its various functions.
***
***   Assumes: GGDEMO.DBF exists for demo data.
*************************************************************************

IF !USED("GGDEMO")
   USE ggdemo IN 0
ENDIF

SELE GGDEMO

WAIT WINDOW ;
   "To build an editable graph like GenGraph use the MEMO method."+chr(13)+;
   "press any key to continue..." ;
   TIMEOUT 5

DO ggraph.app WITH "VBAR3D","MEMO","Sales Totals",;
   "Monthly Sales Breakdown"



WAIT WINDOW ;
   "Use the WINDOW method to build a window that allows you to choose graphs"+chr(13)+;
   "press any key to continue..." ;
   TIMEOUT 5

DO ggraph.app WITH "AREA3D",;
   "WINDOW","Sales Totals","Monthly Sales Breakdown"


*** Create four graphs in cursor TGRAPH
DO ggraph.app WITH "HBAR3D","CURSOR","Sales Totals",;
   "Monthly Sales Breakdown","TGRAPH"

DO ggraph.app WITH "PIE3D","CURSOR","Sales Totals",;
   "Monthly Sales Breakdown","TGRAPH"

DO ggraph.app WITH "LINE3D","CURSOR",;
   "Sales Totals","Monthly Sales Breakdown","TGRAPH"

SELE tgraph
WAIT WINDOW NOWAIT "You can dump successive graphs to a cursor..." TIMEOUT 10

MODI GENERAL olegraph NOWAIT
BROWSE FIELD graphname,olegraph
RELEASE WINDOW "Tgraph.OleGraph"
WAIT WINDOW NOWAIT "... and then dump those graphs into a screen as you choose..."

*** Please note this screen *requires* GENSCRNX to work
DO ggdemo.spr

*** close Tgraph cursor
USE

sele ggdemo

RETURN
* EOP GGDEMO


************************************************************************
PROCEDURE GOREC
******************
***    Author: (c) Rick Strahl, 1994
***  Modified: 04/10/94
***  Function: This function goes to a specified record in
***            in a specified workarea. This is used to force
***            the graphs in GGDEMO.SPR to show different
***            records from the TGRAPH table containing
***            OLE graph objects.
***
***      Pass:  lnRecno   -  The record number to goto
***             lcAlias   -  Alias to select
***
***    Return:  .t.
*************************************************************************
PARAMETER pnRecno,pcAlias

PRIVATE pnRecno,pcAlias,pcOldAlias

pcOldAlias=ALIAS()

IF USED(pcAlias)
   SELE (pcAlias)
   GOTO  pnRecno
ENDIF

SELE (pcOldAlias)


RETURN
*EOP GOREC
